import { csv, json } from 'd3';
const url = [
  'https://gist.githubusercontent.com/',
  'curran/', // User
  'a08a1080b88344b0c8a7/', // Id of the Gist
  'raw/0e7a9b0a5d22642a06d3d5b9bcbad9890c8ee534/', // commit
].join('');

const csvUrl = [url, 'iris.csv'].join('');
const jsonUrl = [url, 'iris.json'].join('');

const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};


let options2 = [];
const setOptions = (d) => {
  
	d.forEach((column) => {
    options2.push({
      text:column.label,
      value:column.name,
      type:column.type
    });
  });
  console.log(options2);
  return options2;
};

console.log('Test' + options2 + 'o1');
const mj = json(jsonUrl)
  .then((data) => {
    // console.log(data.columns);
    options2 = setOptions(data.columns);
    console.log('Test' + options2 + 'o2');
  })
  .catch((error) => {
    console.log(error);
  });
console.log('Test' + options2 + 'o3');

export const options = [
  { value: 'petal_width', text: 'Petal Width', type:'number' },
  { value: 'sepal_width', text: 'Sepal Width', type:'number' },
  { value: 'petal_length', text: 'Petal Length', type:'number' },
  { value: 'sepal_length', text: 'Sepal Length', type:'number' },
  { value: 'species', text: 'Species', type:'string' },
];

// {
//   "columns": [
//     { "name": "sepal_length", "type": "number", "label": "Sepal Length" },
//     { "name": "sepal_width",  "type": "number", "label": "Sepal Width" },
//     { "name": "petal_length", "type": "number", "label": "Petal Length" },
//     { "name": "petal_width",  "type": "number", "label": "Petal Width" },
//     { "name": "species",      "type": "string", "label": "Species" }
//   ]
// }
export const getData = csv(csvUrl, parseRow)